curl -u <YOUR_KEY>:<YOUR_SECRET> \-X POST https://api.razorpay.com/v1/payout-links \-H "Content-Type: application/json" \-d '{ "account_number": "7878780080857996", "contact": { "id": "cont_00000000000001" }, // Only applicable when you have the bank account details of the recipient saved as a RazorpayX Contact. "amount": 1000, "currency": "INR", "purpose": "refund", "description": "Payout link for Gaurav Kumar", "receipt": "Receipt No. 1", "send_sms": true, "send_email": true, "notes": { "notes_key_1":"Tea, Earl Grey, Hot", "notes_key_2":"Tea, Earl Grey… decaf." }, "expire_by": 1545384058 // This parameter can be used only if you have enabled the expiry feature for Payout Links.}'
Create Payout Links via API using RazorpayX Contact id.
POST
/
v1
/
payout-links
curl -u <YOUR_KEY>:<YOUR_SECRET> \-X POST https://api.razorpay.com/v1/payout-links \-H "Content-Type: application/json" \-d '{ "account_number": "7878780080857996", "contact": { "id": "cont_00000000000001" }, // Only applicable when you have the bank account details of the recipient saved as a RazorpayX Contact. "amount": 1000, "currency": "INR", "purpose": "refund", "description": "Payout link for Gaurav Kumar", "receipt": "Receipt No. 1", "send_sms": true, "send_email": true, "notes": { "notes_key_1":"Tea, Earl Grey, Hot", "notes_key_2":"Tea, Earl Grey… decaf." }, "expire_by": 1545384058 // This parameter can be used only if you have enabled the expiry feature for Payout Links.}'
Available in🇮🇳 India🇲🇾 Malaysia🇸🇬 Singapore🇺🇸 United States
Use this endpoint to create a Payout Link using the Contact id of the recipient. Create a Contact to generate the Contact id/Customer id.
curl -u <YOUR_KEY>:<YOUR_SECRET> \-X POST https://api.razorpay.com/v1/payout-links \-H "Content-Type: application/json" \-d '{ "account_number": "7878780080857996", "contact": { "id": "cont_00000000000001" }, // Only applicable when you have the bank account details of the recipient saved as a RazorpayX Contact. "amount": 1000, "currency": "INR", "purpose": "refund", "description": "Payout link for Gaurav Kumar", "receipt": "Receipt No. 1", "send_sms": true, "send_email": true, "notes": { "notes_key_1":"Tea, Earl Grey, Hot", "notes_key_2":"Tea, Earl Grey… decaf." }, "expire_by": 1545384058 // This parameter can be used only if you have enabled the expiry feature for Payout Links.}'
The account from which you want to make the payout. Account details can be found on the RazorpayX Dashboard. For example, 7878780080316316.
Pass your customer identifier if you want money to be deducted from RazorpayX Lite.
Pass your current account number if you want money to be deducted from your current account.
Watch Out!
This is NOT your contact’s bank account number. Log in to your RazorpayX Dashboard and go to My Account & Settings → Banking → Customer Identifier.
This value is different for Test Mode and Live Mode.
object
required
Details of the contact to whom the Payout Link is to be sent.
string
required
The unique identifer for the contact. For example, cont_00000000000001.
If you are using this, do not use the other parameters in the array.
integer
required
The amount, in paise, to be transferred from the business account to the contact’s fund account. For example, pass 1000000 to transfer an amount of ₹10,000. The minimum value that can be passed is 100.
The value passed here does not include fees and tax. Fees and tax, if any, are deducted from your account balance.
string
required
The currency in which the payout is being made. Here, it is INR.
string
required
The purpose of the payout that is being created via the Payout Link. For example, refund.
Classifications available by default:
refund
cashback
payout
salary
utility bill
vendor bill
Additional purposes for payouts can be created via the Dashboard and then used in the API. You cannot create new payout purposes via the API.
string
required
Add a description to communicate the context of the Payout Link to the recipient. For example, Cashback for Mr. Gaurav Kumar on the purchase on Earl Grey Tea.
string
A user-entered receipt number for the payout. For example, Receipt No. 1.
boolean
Possible values:
true: Razorpay sends the Payout Link to the provided contact number via SMS.
false (default): You send the Payout Link to the contact via SMS.
boolean
Possible values:
true: Razorpay sends the Payout Link to the provided email address via email.
false (default): You send the Payout Link to the contact via email.
object
User-entered notes for internal reference. This is a key-value pair. You can enter a maximum of 15 key-value pairs. For example, "note_key": "Beam me up Scotty”.
integer
Timestamp, in Unix, when the Payout Link was to expire. This is set at the time of creation of the Payout Link and is set at least 15 minutes ahead of the current time.
This value is returned only if you have enabled the expiry feature for Payout Links. Know how to set expiry to Payout Links.
Response Parameters
string
The unique identifier of the Payout Link that is created. For example, poutlk_00000000000001.
string
The entity being created. Here it will be payout_link.
object
Details of the contact to whom the Payout Link is to be sent.
string
The contact’s name. For example, Gaurav Kumar.
string
Classification of the contact being created. For example, employee.
string
The contact’s phone number. For example, 9000090000.
string
The contact’s email address. For example, gaurav.kumar@example.com.
string
The unique identifier of the contact to whom the Payout Link has to be sent. For example, cont_00000000000001.
string
The unique identifier of the contact’s fund account to which the payout will be made. For example, fa_00000000000001.
Fund Account id is returned only when the Payout Link moves to the processing state.
string
The unique identifier for the payout made to the contact. For example, pout_00000000000001.
This value is returned only when the Payout Link moves to the processed state.
string
The purpose of the payout. For example, refund, cashback or payout.
The amount, in paise, to be transferred from the business account to the contact’s fund account.
The value passed here does not include fees and tax. Fees and tax, if any, are deducted from your account balance.
string
The currency in which the payout is being made. Here, it is INR.
string
A user-entered description for the Payout Link. For example, Payout link for Gaurav Kumar.
integer
The number of attempts to complete the payout.
string
A user-entered receipt number for the payout. For example, Receipt No. 1.
object
User-entered notes for internal reference. This is a key-value pair. For example, "note_key": "Beam me up Scotty”.
string
A short link for the Payout Link that was created. This is the link that is shared with the contact.
boolean
Possible values:
true: SMS sent to the provided contact number.
false: SMS could not be sent to the provided contact number. This could be because the contact number provided was wrong.
boolean
Possible values:
true: Email sent to the provided email address.
false: Email could not be sent to the provided email address. This could be because the email address provided was wrong.
integer
Timestamp, in Unix, when the Payout Link was created.
integer
Timestamp, in Unix, when the Payout Link was cancelled by you. This value is returned only when the Payout Link moves to the cancelled state.
integer
Timestamp, in Unix, when the Payout Link was to expire. This is set at the time of creation of the Payout Link and is set at least 15 minutes ahead of the current time.
This value is returned only if you have enabled the expiry feature for Payout Links. Know more about how to set expiry to Payout Links.
integer
Timestamp, in Unix, when the Payout Link expired. This is set at the time of creation of the Payout Link.
Last modified on October 8, 2026
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Razorpay","colors":{"primary":"#3395FF","light":"#66B2FF","dark":"#0B62C4"},"logo":{"light":"https://mintcdn.com/razorpay-881012b3/puuu1wI-BbW3rsp2/logo/light.svg?fit=max\u0026auto=format\u0026n=puuu1wI-BbW3rsp2\u0026q=85\u0026s=e0750375ee2004193a685f9f211963fe","dark":"https://mintcdn.com/razorpay-881012b3/puuu1wI-BbW3rsp2/logo/dark.svg?fit=max\u0026auto=format\u0026n=puuu1wI-BbW3rsp2\u0026q=85\u0026s=038b180f26d19ddb4eb40ede0cf84821","href":"https://razorpay.com/docs/"},"favicon":"https://mintcdn.com/razorpay-881012b3/puuu1wI-BbW3rsp2/favicon.png?fit=max\u0026auto=format\u0026n=puuu1wI-BbW3rsp2\u0026q=85\u0026s=9bebe786d3a21e9452fd2e31243e5fb3","api":{"playground":{"display":"interactive"},"mdx":{"auth":{"method":"basic"},"server":"https://api.razorpay.com"}},"navbar":{"links":[{"href":"https://razorpay.com/support/","label":"Support"},{"href":"https://razorpay.com/blog/","label":"Blog"}],"primary":{"type":"button","label":"Dashboard","href":"https://dashboard.razorpay.com/"}},"footer":{"socials":{"x":"https://x.com/Razorpay","linkedin":"https://www.linkedin.com/company/razorpay","github":"https://github.com/razorpay","youtube":"https://www.youtube.com/razorpay"},"links":[{"header":"Products","items":[{"label":"Payment Gateway","href":"https://razorpay.com/payment-gateway"},{"label":"Payment Links","href":"https://razorpay.com/payment-links"},{"label":"RazorpayX","href":"https://razorpay.com/x"},{"label":"Payroll","href":"https://razorpay.com/payroll"}]},{"header":"Resources","items":[{"label":"Documentation","href":"https://razorpay.com/docs"},{"label":"API Reference","href":"https://razorpay.com/docs/api"},{"label":"Support","href":"https://razorpay.com/support"},{"label":"Blog","href":"https://razorpay.com/blog"}]},{"header":"Company","items":[{"label":"About Us","href":"https://razorpay.com/about"},{"label":"Careers","href":"https://razorpay.com/jobs"},{"label":"Pricing","href":"https://razorpay.com/pricing"}]}]},"seo":{"metatags":{"canonical":"https://razorpay.com/docs"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"metadata":{"timestamp":true},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"razorpay-881012b3","hasAudioNarration":false,"actualSubdomain":"razorpay-881012b3","customDomains":["razorpay.com"],"gitSource":{"type":"github","owner":"razorpay-vendor-integrations","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true,"agentFeedback":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6b003d81a30465d2cf3fa848","clientVersion":"0.0.4227","searchFilterCounts":[{"language":"default","tag":"Payments","count":2085},{"language":"default","tag":"API Reference","count":842},{"language":"default","tag":"Payment Gateway","count":334},{"language":"default","tag":"Dashboard","count":288},{"language":"default","tag":"Subscriptions","count":234},{"language":"default","tag":"Payment Links","count":163},{"language":"default","tag":"Payouts","count":158},{"language":"default","tag":"Ecommerce Plugins","count":145},{"language":"default","tag":"Developer Tools","count":129},{"language":"default","tag":"Banking Plus","count":123}],"searchSettings":{"maxResults":8}},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"/docs","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"site-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"control","enabled":true,"payload":{"type":"string","value":"control"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"#navbar ul.sidebar-group.mt-6,ul.sidebar-group.mt-6{margin-top:1rem}[data-component-part=\"callout-content\"]>[data-as=\"p\"]:first-child>strong,[data-component-part=\"callout-content\"]>[data-as=\"p\"]:first-child strong,[data-component-part=\"callout-content\"]>strong:first-child{font-size:1.125rem!important;font-weight:700!important;line-height:1.4!important}.error-code-cards [data-component-part=\"card-title\"]{display:inline-block!important;font-family:ui-monospace, \"SF Mono\", SFMono-Regular, Menlo, Consolas,\n \"Liberation Mono\", monospace!important;font-size:0.875rem!important;font-weight:600!important;line-height:1.3!important;padding:0.25rem 0.75rem!important;border-radius:9999px!important;background:rgba(107, 114, 128, 0.10)!important;border:1px solid rgba(107, 114, 128, 0.25)!important}.dark .error-code-cards [data-component-part=\"card-title\"]{background:rgba(255, 255, 255, 0.06)!important;border-color:rgba(255, 255, 255, 0.15)!important}[data-http-method]{font-weight:700!important;border-color:transparent!important}[data-http-method=\"get\"]{color:#15803d!important;background:rgba(74, 222, 128, 0.2)!important}[data-http-method=\"post\"]{color:#1d4ed8!important;background:rgba(96, 165, 250, 0.2)!important}[data-http-method=\"put\"]{color:#a16207!important;background:rgba(250, 204, 21, 0.2)!important}[data-http-method=\"patch\"]{color:#c2410c!important;background:rgba(251, 146, 60, 0.2)!important}[data-http-method=\"delete\"]{color:#b91c1c!important;background:rgba(248, 113, 113, 0.2)!important}.dark [data-http-method=\"get\"]{color:#4ade80!important}.dark [data-http-method=\"post\"]{color:#60a5fa!important}.dark [data-http-method=\"put\"]{color:#facc15!important}.dark [data-http-method=\"patch\"]{color:#fb923c!important}.dark [data-http-method=\"delete\"]{color:#f87171!important}ul.sidebar-group.mt-6{margin-top:5px}.sticky .panel:has(>.rzp-code-selector){display:grid;grid-auto-rows:minmax(0, 1fr);gap:1.5rem;overflow:hidden}.sticky:has(>.panel>.rzp-code-selector)>div:not(.panel){display:none}.rzp-code-selector{position:relative;display:flex;flex-direction:column;min-height:0;overflow:hidden;padding:0.125rem;border:1px solid rgba(3, 7, 18, 0.1);border-radius:1rem;background:rgb(244, 247, 250)}.dark .rzp-code-selector{border-color:rgba(255, 255, 255, 0.1);background:rgba(255, 255, 255, 0.05)}.rzp-code-selector-bar{display:flex;align-items:center;justify-content:space-between;gap:0.5rem;flex:none;flex-wrap:wrap;padding:0.25rem 4.25rem 0.375rem 0.5rem}.rzp-code-selector-field{position:relative;display:inline-flex;align-items:center;flex:0 0 auto}.rzp-code-selector-select{appearance:none;-webkit-appearance:none;min-width:max-content;padding:0.125rem 1.75rem 0.125rem 0.375rem;border:0;border-radius:0.5rem;background:transparent;color:var(--color-gray-600, #4b5563);font-size:0.75rem;font-weight:500;line-height:1.5rem;cursor:pointer}.dark .rzp-code-selector-select{color:var(--color-gray-300, #d1d5db)}.rzp-code-selector-select:hover{background:rgba(3, 7, 18, 0.05)}.dark .rzp-code-selector-select:hover{background:rgba(255, 255, 255, 0.08)}.rzp-code-selector-chevron{position:absolute;right:0.25rem;width:0.875rem;height:0.875rem;pointer-events:none;opacity:0.6}.rzp-code-selector-body{flex:1 1 auto;min-height:0;overflow-y:auto;overscroll-behavior:contain}.rzp-code-selector-body>.code-block{margin:0!important;min-width:0;border-radius:0 0 0.875rem 0.875rem;position:static!important}.rzp-code-selector-body [data-component-part=\"code-block-root\"]{border-radius:0 0 0.875rem 0.875rem}.rzp-code-selector-body .code-block-fade-overlay{display:none}.rzp-code-selector::after{content:\"\";position:absolute;inset:auto 0 0;height:2rem;border-radius:0 0 0.875rem 0.875rem;pointer-events:none;background:linear-gradient(to bottom, rgba(255, 255, 255, 0), #fff)}.dark .rzp-code-selector::after{background:linear-gradient(to bottom, rgba(11, 12, 14, 0), rgb(11, 12, 14))}.rzp-code-selector>.rzp-code-selector-body>.code-block>.absolute{top:0.5rem;right:0.75rem}#content:has(#error-title){visibility:hidden;animation:rzp-404-reveal 0s linear 4s forwards}.rzp-404-ready #content:has(#error-title){visibility:visible;animation:none}.rzp-404-redirecting #content:has(#error-title){visibility:hidden;animation:none}@keyframes rzp-404-reveal{to{visibility:visible}}.rzp-fallback-notice{display:flex;align-items:flex-start;gap:0.75rem;margin:0 0 1.5rem;padding:1rem 1.25rem;border:1px solid #fde68a;border-radius:1rem;background:#fefce8;color:#854d0e;font-size:0.875rem;line-height:1.5;animation:rzp-notice-in 0.25s ease-out}.dark .rzp-fallback-notice{border-color:rgba(234, 179, 8, 0.3);background:rgba(234, 179, 8, 0.1);color:#fde68a}.rzp-fallback-notice p{margin:0}.rzp-fallback-notice-icon{flex:none;width:1.25rem;height:1.25rem;margin-top:0.05rem;color:#ca8a04}.dark .rzp-fallback-notice-icon{color:#facc15}.rzp-fallback-notice-text{flex:1;min-width:0}.rzp-fallback-notice-title{font-weight:600}.rzp-fallback-notice-close{flex:none;display:inline-flex;padding:0.25rem;margin:-0.25rem -0.5rem -0.25rem 0;border-radius:0.5rem;color:inherit;opacity:0.7;cursor:pointer;transition:opacity 0.15s, background-color 0.15s}.rzp-fallback-notice-close:hover,.rzp-fallback-notice-close:focus-visible{opacity:1;background:rgba(202, 138, 4, 0.12)}.rzp-fallback-notice-close svg{width:1rem;height:1rem}@keyframes rzp-notice-in{from{transform:translateY(-4px)}}@media (prefers-reduced-motion: reduce){.rzp-fallback-notice{animation:none}}"},{"filePath":"static/docs-home/styles.css","href":"/docs/_mintlify/custom/razorpay-881012b3/5b8b615a0125ba7b/static/docs-home/styles.css"},{"filePath":"static/nav-more.css","content":"#navbar .nav-tabs{min-width:0;column-gap:1rem}#navbar .nav-tabs:not(.rzpn-more) .nav-tabs-item{display:block;flex:0 1 auto;min-width:3.5rem;min-width:calc-size(max-content, min(size, 5.25rem));white-space:nowrap;overflow:hidden;text-overflow:ellipsis;line-height:3rem}#navbar .nav-tabs:not(.rzpn-more) .nav-tabs-item>svg{display:inline-block;vertical-align:middle;margin:-2px 8px 0 0}#navbar .nav-tabs.rzpn-more .nav-tabs-item{flex:none;white-space:nowrap}#navbar .nav-tabs-item[data-rzpn-hidden]{display:none}#navbar .rzpn-more-wrap{position:relative;flex:none}#navbar .rzpn-more-wrap:not([hidden]){display:flex}#navbar .rzpn-more-menu:not([hidden]){display:flex;flex-direction:column}#navbar .rzpn-more-btn{background:none;border:0;padding:0;cursor:pointer;white-space:nowrap}#navbar .rzpn-more-menu{position:absolute;top:calc(100% - 4px);right:0;z-index:50;min-width:12rem;padding:6px;border-radius:12px;box-shadow:0 8px 24px rgba(0,0,0,.12)}#navbar .rzpn-more-menu a{display:flex;align-items:center;gap:8px;padding:8px 10px;border-radius:8px;white-space:nowrap}#navbar .rzpn-more-menu a:hover,#navbar .rzpn-more-menu a:focus-visible{background:rgba(127,127,127,.12)}"}]}
{"page":{"pagePath":"api/x/payout-links/create/use-contact-id","slug":"/api/x/payout-links/create/use-contact-id","pageMetadata":{"title":"Create Payout Links Using Contact ID","description":"Create Payout Links via API using RazorpayX Contact id.","api":"POST /v1/payout-links","href":"/api/x/payout-links/create/use-contact-id"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Create Payout Links via API using RazorpayX Contact id.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,p:`p`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{Heading,ParamField,ResponseField,Warning}=_components;if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsxs(`div`,{style:{display:`flex`,flexWrap:`wrap`,alignItems:`center`,gap:`0.35rem 0.9rem`,border:`1px solid rgba(128,128,128,0.28)`,borderRadius:`0.5rem`,padding:`0.45rem 0.75rem`,margin:`0 0 1.25rem`,fontSize:`0.875rem`},children:[_jsx(`span`,{style:{fontWeight:600},children:`Available in`}),_jsx(`span`,{children:`🇮🇳 India`}),_jsx(`span`,{children:`🇲🇾 Malaysia`}),_jsx(`span`,{children:`🇸🇬 Singapore`}),_jsx(`span`,{children:`🇺🇸 United States`})]}),`\n`,_jsxs(_components.p,{children:[`Use this endpoint to create a Payout Link using the Contact id of the recipient. `,_jsx(_components.a,{href:`/x/contacts#create-a-contact`,children:`Create a Contact`}),` to generate the Contact id/Customer id.`]}),`\n`,`\n`,`\n`,_jsx(Heading,{level:`2`,id:`request-parameters`,children:`Request Parameters`}),`\n`,_jsxs(ParamField,{body:`account_number`,type:`string`,required:true,id:`param-account-number`,children:[_jsxs(_components.p,{children:[`The account from which you want to make the payout.`,_jsx(`br`,{}),`Account details can be found on the `,_jsx(_components.a,{href:`https://x.razorpay.com/settings/banking`,children:`RazorpayX Dashboard`}),`. For example, `,_jsx(_components.code,{children:`7878780080316316`}),`.`]}),_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`Pass your customer identifier if you want money to be deducted from RazorpayX Lite.`}),`\n`,_jsx(_components.li,{children:`Pass your current account number if you want money to be deducted from your current account.`}),`\n`]}),_jsxs(Warning,{children:[_jsx(_components.p,{children:_jsx(_components.strong,{children:`Watch Out!`})}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[`This is `,_jsx(_components.strong,{children:`NOT`}),` your contact’s bank account number. Log in to your `,_jsx(_components.a,{href:`https://x.razorpay.com/auth/?intent=current_account`,children:_jsx(_components.strong,{children:`RazorpayX Dashboard`})}),` and go to `,_jsx(_components.strong,{children:`My Account \u0026 Settings → Banking → Customer Identifier`}),`.`]}),`\n`,_jsx(_components.li,{children:`This value is different for Test Mode and Live Mode.`}),`\n`]})]})]}),`\n`,_jsx(ParamField,{body:`contact`,type:`object`,required:true,id:`param-contact`,children:_jsx(_components.p,{children:`Details of the contact to whom the Payout Link is to be sent.`})}),`\n`,_jsx(ParamField,{body:`id`,type:`string`,required:true,id:`param-id`,children:_jsxs(_components.p,{children:[`The unique identifer for the contact. For example, `,_jsx(_components.code,{children:`cont_00000000000001`}),`. `,_jsx(`br`,{}),` `,_jsx(`br`,{}),` If you are using this, do not use the other parameters in the array.`]})}),`\n`,_jsx(ParamField,{body:`amount`,type:`integer`,required:true,id:`param-amount`,children:_jsxs(_components.p,{children:[`The amount, in paise, to be transferred from the business account to the contact’s fund account. For example, pass `,_jsx(_components.code,{children:`1000000`}),` to transfer an amount of ₹10,000. The minimum value that can be passed is `,_jsx(_components.code,{children:`100`}),`. `,_jsx(`br`,{}),` `,_jsx(`br`,{}),` The value passed here does not include fees and tax. Fees and tax, if any, are deducted from your account balance.`]})}),`\n`,_jsx(ParamField,{body:`currency`,type:`string`,required:true,id:`param-currency`,children:_jsxs(_components.p,{children:[`The currency in which the payout is being made. Here, it is `,_jsx(_components.code,{children:`INR`}),`.`]})}),`\n`,_jsxs(ParamField,{body:`purpose`,type:`string`,required:true,id:`param-purpose`,children:[_jsxs(_components.p,{children:[`The purpose of the payout that is being created via the Payout Link. For example, `,_jsx(_components.code,{children:`refund`}),`.`,_jsx(`br`,{}),_jsx(`br`,{}),`Classifications available by default:`]}),_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`refund`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`cashback`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`payout`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`salary`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`utility bill`})}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`vendor bill`}),` `,_jsx(`br`,{})]}),`\n`]}),_jsxs(_components.p,{children:[`Additional purposes for payouts can be created via the `,_jsx(_components.a,{href:`https://x.razorpay.com/`,children:`Dashboard`}),` and then used in the API. You cannot create new payout purposes via the API.`]})]}),`\n`,_jsx(ParamField,{body:`description`,type:`string`,required:true,id:`param-description`,children:_jsxs(_components.p,{children:[`Add a description to communicate the context of the Payout Link to the recipient. For example, `,_jsx(_components.code,{children:`Cashback for Mr. Gaurav Kumar on the purchase on Earl Grey Tea`}),`.`]})}),`\n`,_jsx(ParamField,{body:`receipt`,type:`string`,id:`param-receipt`,children:_jsxs(_components.p,{children:[`A user-entered receipt number for the payout. For example, `,_jsx(_components.code,{children:`Receipt No. 1`}),`.`]})}),`\n`,_jsxs(ParamField,{body:`send_sms`,type:`boolean`,id:`param-send-sms`,children:[_jsx(_components.p,{children:`Possible values:`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`true`}),`: Razorpay sends the Payout Link to the provided contact number via SMS.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`false`}),` (default): You send the Payout Link to the contact via SMS.`]}),`\n`]})]}),`\n`,_jsxs(ParamField,{body:`send_email`,type:`boolean`,id:`param-send-email`,children:[_jsx(_components.p,{children:`Possible values:`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`true`}),`: Razorpay sends the Payout Link to the provided email address via email.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`false`}),` (default): You send the Payout Link to the contact via email.`]}),`\n`]})]}),`\n`,_jsx(ParamField,{body:`notes`,type:`object`,id:`param-notes`,children:_jsxs(_components.p,{children:[`User-entered notes for internal reference. This is a key-value pair. You can enter a maximum of 15 key-value pairs. For example, `,_jsx(_components.code,{children:`\"note_key\": \"Beam me up Scotty”`}),`.`]})}),`\n`,_jsx(ParamField,{body:`expire_by`,type:`integer`,id:`param-expire-by`,children:_jsxs(_components.p,{children:[`Timestamp, in Unix, when the Payout Link was to expire. This is set at the time of creation of the Payout Link and is set at least 15 minutes ahead of the current time. `,_jsx(`br`,{}),` `,_jsx(`br`,{}),` This value is returned only if you have enabled the expiry feature for Payout Links. Know how to `,_jsx(_components.a,{href:`/x/payout-links/set-expiry`,children:`set expiry`}),` to Payout Links.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`response-parameters`,children:`Response Parameters`}),`\n`,_jsx(ResponseField,{name:`id`,type:`string`,id:`param-id-1`,children:_jsxs(_components.p,{children:[`The unique identifier of the Payout Link that is created. For example, `,_jsx(_components.code,{children:`poutlk_00000000000001`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`entity`,type:`string`,id:`param-entity`,children:_jsxs(_components.p,{children:[`The entity being created. Here it will be `,_jsx(_components.code,{children:`payout_link`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`contact`,type:`object`,id:`param-contact-1`,children:_jsx(_components.p,{children:`Details of the contact to whom the Payout Link is to be sent.`})}),`\n`,_jsx(ResponseField,{name:`name`,type:`string`,id:`param-name`,children:_jsxs(_components.p,{children:[`The contact’s name. For example, `,_jsx(_components.code,{children:`Gaurav Kumar`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`type`,type:`string`,id:`param-type`,children:_jsxs(_components.p,{children:[`Classification of the contact being created. For example, `,_jsx(_components.code,{children:`employee`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`contact`,type:`string`,id:`param-contact-2`,children:_jsxs(_components.p,{children:[`The contact’s phone number. For example, `,_jsx(_components.code,{children:`9000090000`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`email`,type:`string`,id:`param-email`,children:_jsxs(_components.p,{children:[`The contact’s email address. For example, `,_jsx(_components.code,{children:`gaurav.kumar@example.com`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`contact_id`,type:`string`,id:`param-contact-id`,children:_jsxs(_components.p,{children:[`The unique identifier of the contact to whom the Payout Link has to be sent. For example, `,_jsx(_components.code,{children:`cont_00000000000001`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`fund_account_id`,type:`string`,id:`param-fund-account-id`,children:_jsxs(_components.p,{children:[`The unique identifier of the contact’s fund account to which the payout will be made. For example, `,_jsx(_components.code,{children:`fa_00000000000001`}),`. `,_jsx(`br`,{}),` `,_jsx(`br`,{}),` Fund Account id is returned only when the Payout Link moves to the `,_jsxs(_components.a,{href:`/x/payout-links/life-cycle`,children:[_jsx(_components.code,{children:`processing`}),` state`]}),`.`]})}),`\n`,_jsx(ResponseField,{name:`payout_id`,type:`string`,id:`param-payout-id`,children:_jsxs(_components.p,{children:[`The unique identifier for the payout made to the contact. For example, `,_jsx(_components.code,{children:`pout_00000000000001`}),`. `,_jsx(`br`,{}),` `,_jsx(`br`,{}),` This value is returned only when the Payout Link moves to the `,_jsxs(_components.a,{href:`/x/payout-links/life-cycle`,children:[_jsx(_components.code,{children:`processed`}),` state`]}),`.`]})}),`\n`,_jsx(ResponseField,{name:`purpose`,type:`string`,id:`param-purpose-1`,children:_jsxs(_components.p,{children:[`The purpose of the payout. For example, `,_jsx(_components.code,{children:`refund`}),`, `,_jsx(_components.code,{children:`cashback`}),` or `,_jsx(_components.code,{children:`payout`}),`.`]})}),`\n`,_jsxs(ResponseField,{name:`status`,type:`string`,id:`param-status`,children:[_jsx(_components.p,{children:`The Payout Link status. Possible values:`}),_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`pending`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`issued`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`processing`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`processed`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`cancelled`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`rejected`})}),`\n`]}),_jsx(`br`,{}),_jsxs(_components.p,{children:[`Refer to the `,_jsx(_components.a,{href:`/x/payout-links/life-cycle`,children:`Payout Link Life Cycle section`}),` for more details.`]})]}),`\n`,_jsx(ResponseField,{name:`amount`,type:`integer`,id:`param-amount-1`,children:_jsxs(_components.p,{children:[`The amount, in paise, to be transferred from the business account to the contact’s fund account. `,_jsx(`br`,{}),` `,_jsx(`br`,{}),` The value passed here does not include fees and tax. Fees and tax, if any, are deducted from your account balance.`]})}),`\n`,_jsx(ResponseField,{name:`currency`,type:`string`,id:`param-currency-1`,children:_jsxs(_components.p,{children:[`The currency in which the payout is being made. Here, it is `,_jsx(_components.code,{children:`INR`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`description`,type:`string`,id:`param-description-1`,children:_jsxs(_components.p,{children:[`A user-entered description for the Payout Link. For example, `,_jsx(_components.code,{children:`Payout link for Gaurav Kumar`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`attempt_count`,type:`integer`,id:`param-attempt-count`,children:_jsx(_components.p,{children:`The number of attempts to complete the payout.`})}),`\n`,_jsx(ResponseField,{name:`receipt`,type:`string`,id:`param-receipt-1`,children:_jsxs(_components.p,{children:[`A user-entered receipt number for the payout. For example, `,_jsx(_components.code,{children:`Receipt No. 1`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`notes`,type:`object`,id:`param-notes-1`,children:_jsxs(_components.p,{children:[`User-entered notes for internal reference. This is a key-value pair. For example, `,_jsx(_components.code,{children:`\"note_key\": \"Beam me up Scotty”`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`short_url`,type:`string`,id:`param-short-url`,children:_jsx(_components.p,{children:`A short link for the Payout Link that was created. This is the link that is shared with the contact.`})}),`\n`,_jsxs(ResponseField,{name:`send_sms`,type:`boolean`,id:`param-send-sms-1`,children:[_jsx(_components.p,{children:`Possible values:`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`true`}),`: SMS sent to the provided contact number.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`false`}),`: SMS could not be sent to the provided contact number. This could be because the contact number provided was wrong.`]}),`\n`]})]}),`\n`,_jsxs(ResponseField,{name:`send_email`,type:`boolean`,id:`param-send-email-1`,children:[_jsx(_components.p,{children:`Possible values:`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`true`}),`: Email sent to the provided email address.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`false`}),`: Email could not be sent to the provided email address. This could be because the email address provided was wrong.`]}),`\n`]})]}),`\n`,_jsx(ResponseField,{name:`created_at`,type:`integer`,id:`param-created-at`,children:_jsx(_components.p,{children:`Timestamp, in Unix, when the Payout Link was created.`})}),`\n`,_jsx(ResponseField,{name:`cancelled_at`,type:`integer`,id:`param-cancelled-at`,children:_jsxs(_components.p,{children:[`Timestamp, in Unix, when the Payout Link was cancelled by you. This value is returned only when the Payout Link moves to the `,_jsx(_components.code,{children:`cancelled`}),` state.`]})}),`\n`,_jsx(ResponseField,{name:`expire_by`,type:`integer`,id:`param-expire-by-1`,children:_jsxs(_components.p,{children:[`Timestamp, in Unix, when the Payout Link was to expire. This is set at the time of creation of the Payout Link and is set at least 15 minutes ahead of the current time. `,_jsx(`br`,{}),` `,_jsx(`br`,{}),` This value is returned only if you have enabled the expiry feature for Payout Links. Know more about how to `,_jsx(_components.a,{href:`/x/payout-links/set-expiry`,children:`set expiry`}),` to Payout Links.`]})}),`\n`,_jsx(ResponseField,{name:`expired_at`,type:`integer`,id:`param-expired-at`,children:_jsx(_components.p,{children:`Timestamp, in Unix, when the Payout Link expired. This is set at the time of creation of the Payout Link.`})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create Payout Links Using Contact ID","description":"Create Payout Links via API using RazorpayX Contact id.","api":"POST /v1/payout-links","href":"/api/x/payout-links/create/use-contact-id"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,Heading,ParamField,RequestExample,ResponseExample,ResponseField,Warning}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!RequestExample)_missingMdxReference(`RequestExample`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsxs(`div`,{style:{display:`flex`,flexWrap:`wrap`,alignItems:`center`,gap:`0.35rem 0.9rem`,border:`1px solid rgba(128,128,128,0.28)`,borderRadius:`0.5rem`,padding:`0.45rem 0.75rem`,margin:`0 0 1.25rem`,fontSize:`0.875rem`},children:[_jsx(`span`,{style:{fontWeight:600},children:`Available in`}),_jsx(`span`,{children:`🇮🇳 India`}),_jsx(`span`,{children:`🇲🇾 Malaysia`}),_jsx(`span`,{children:`🇸🇬 Singapore`}),_jsx(`span`,{children:`🇺🇸 United States`})]}),`\n`,_jsxs(_components.p,{children:[`Use this endpoint to create a Payout Link using the Contact id of the recipient. `,_jsx(_components.a,{href:`/x/contacts#create-a-contact`,children:`Create a Contact`}),` to generate the Contact id/Customer id.`]}),`\n`,_jsx(RequestExample,{children:_jsx(CodeBlock,{filename:`Curl`,numberOfLines:`21`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`21`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -u`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` \u003c`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`YOUR_KE`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`Y`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`>`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`:`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`\u003c`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`YOUR_SECRE`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`T`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`>`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`-X `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`POST`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://api.razorpay.com/v1/payout-links`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`-H `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Content-Type: application/json\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`-d `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'{`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"account_number\": \"7878780080857996\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"contact\": {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"id\": \"cont_00000000000001\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }, // Only applicable when you have the bank account details of the recipient saved as a RazorpayX Contact. `})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"amount\": 1000,`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"currency\": \"INR\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"purpose\": \"refund\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"description\": \"Payout link for Gaurav Kumar\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"receipt\": \"Receipt No. 1\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"send_sms\": true,`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"send_email\": true,`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"notes\": {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"notes_key_1\":\"Tea, Earl Grey, Hot\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"notes_key_2\":\"Tea, Earl Grey… decaf.\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"expire_by\": 1545384058`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` // This parameter can be used only if you have enabled the expiry feature for Payout Links.`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}'`})}),`\n`]})})})}),`\n`,_jsx(ResponseExample,{children:_jsx(CodeBlock,{filename:`Success`,numberOfLines:`29`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`29`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"poutlk_00000000000001\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"entity\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"payout_link\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"contact\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Gaurav Kumar\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"email\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"gaurav.kumar@example.com\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"contact\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"912345678\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"purpose\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"refund\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"issued\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"amount\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1000`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"currency\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"INR\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Payout link for Gaurav Kumar\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"short_url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://rzp.io/i/3b1Tw6\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"created_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1545383037`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"contact_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"cont_00000000000001\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"send_sms\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"send_email\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"fund_account_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"cancelled_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"attempt_count\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"receipt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Receipt No. 1\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"notes\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"notes_key_1\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Tea, Earl Grey, Hot\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"notes_key_2\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Tea, Earl Grey… decaf.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"expire_by\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1545384058`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"expired_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1545384658`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),`\n`,_jsx(Heading,{level:`2`,id:`request-parameters`,children:`Request Parameters`}),`\n`,_jsxs(ParamField,{body:`account_number`,type:`string`,required:true,id:`param-account-number`,children:[_jsxs(_components.p,{children:[`The account from which you want to make the payout.`,_jsx(`br`,{}),`Account details can be found on the `,_jsx(_components.a,{href:`https://x.razorpay.com/settings/banking`,children:`RazorpayX Dashboard`}),`. For example, `,_jsx(_components.code,{children:`7878780080316316`}),`.`]}),_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`Pass your customer identifier if you want money to be deducted from RazorpayX Lite.`}),`\n`,_jsx(_components.li,{children:`Pass your current account number if you want money to be deducted from your current account.`}),`\n`]}),_jsxs(Warning,{children:[_jsx(_components.p,{children:_jsx(_components.strong,{children:`Watch Out!`})}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[`This is `,_jsx(_components.strong,{children:`NOT`}),` your contact’s bank account number. Log in to your `,_jsx(_components.a,{href:`https://x.razorpay.com/auth/?intent=current_account`,children:_jsx(_components.strong,{children:`RazorpayX Dashboard`})}),` and go to `,_jsx(_components.strong,{children:`My Account \u0026 Settings → Banking → Customer Identifier`}),`.`]}),`\n`,_jsx(_components.li,{children:`This value is different for Test Mode and Live Mode.`}),`\n`]})]})]}),`\n`,_jsx(ParamField,{body:`contact`,type:`object`,required:true,id:`param-contact`,children:_jsx(_components.p,{children:`Details of the contact to whom the Payout Link is to be sent.`})}),`\n`,_jsx(ParamField,{body:`id`,type:`string`,required:true,id:`param-id`,children:_jsxs(_components.p,{children:[`The unique identifer for the contact. For example, `,_jsx(_components.code,{children:`cont_00000000000001`}),`. `,_jsx(`br`,{}),` `,_jsx(`br`,{}),` If you are using this, do not use the other parameters in the array.`]})}),`\n`,_jsx(ParamField,{body:`amount`,type:`integer`,required:true,id:`param-amount`,children:_jsxs(_components.p,{children:[`The amount, in paise, to be transferred from the business account to the contact’s fund account. For example, pass `,_jsx(_components.code,{children:`1000000`}),` to transfer an amount of ₹10,000. The minimum value that can be passed is `,_jsx(_components.code,{children:`100`}),`. `,_jsx(`br`,{}),` `,_jsx(`br`,{}),` The value passed here does not include fees and tax. Fees and tax, if any, are deducted from your account balance.`]})}),`\n`,_jsx(ParamField,{body:`currency`,type:`string`,required:true,id:`param-currency`,children:_jsxs(_components.p,{children:[`The currency in which the payout is being made. Here, it is `,_jsx(_components.code,{children:`INR`}),`.`]})}),`\n`,_jsxs(ParamField,{body:`purpose`,type:`string`,required:true,id:`param-purpose`,children:[_jsxs(_components.p,{children:[`The purpose of the payout that is being created via the Payout Link. For example, `,_jsx(_components.code,{children:`refund`}),`.`,_jsx(`br`,{}),_jsx(`br`,{}),`Classifications available by default:`]}),_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`refund`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`cashback`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`payout`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`salary`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`utility bill`})}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`vendor bill`}),` `,_jsx(`br`,{})]}),`\n`]}),_jsxs(_components.p,{children:[`Additional purposes for payouts can be created via the `,_jsx(_components.a,{href:`https://x.razorpay.com/`,children:`Dashboard`}),` and then used in the API. You cannot create new payout purposes via the API.`]})]}),`\n`,_jsx(ParamField,{body:`description`,type:`string`,required:true,id:`param-description`,children:_jsxs(_components.p,{children:[`Add a description to communicate the context of the Payout Link to the recipient. For example, `,_jsx(_components.code,{children:`Cashback for Mr. Gaurav Kumar on the purchase on Earl Grey Tea`}),`.`]})}),`\n`,_jsx(ParamField,{body:`receipt`,type:`string`,id:`param-receipt`,children:_jsxs(_components.p,{children:[`A user-entered receipt number for the payout. For example, `,_jsx(_components.code,{children:`Receipt No. 1`}),`.`]})}),`\n`,_jsxs(ParamField,{body:`send_sms`,type:`boolean`,id:`param-send-sms`,children:[_jsx(_components.p,{children:`Possible values:`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`true`}),`: Razorpay sends the Payout Link to the provided contact number via SMS.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`false`}),` (default): You send the Payout Link to the contact via SMS.`]}),`\n`]})]}),`\n`,_jsxs(ParamField,{body:`send_email`,type:`boolean`,id:`param-send-email`,children:[_jsx(_components.p,{children:`Possible values:`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`true`}),`: Razorpay sends the Payout Link to the provided email address via email.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`false`}),` (default): You send the Payout Link to the contact via email.`]}),`\n`]})]}),`\n`,_jsx(ParamField,{body:`notes`,type:`object`,id:`param-notes`,children:_jsxs(_components.p,{children:[`User-entered notes for internal reference. This is a key-value pair. You can enter a maximum of 15 key-value pairs. For example, `,_jsx(_components.code,{children:`\"note_key\": \"Beam me up Scotty”`}),`.`]})}),`\n`,_jsx(ParamField,{body:`expire_by`,type:`integer`,id:`param-expire-by`,children:_jsxs(_components.p,{children:[`Timestamp, in Unix, when the Payout Link was to expire. This is set at the time of creation of the Payout Link and is set at least 15 minutes ahead of the current time. `,_jsx(`br`,{}),` `,_jsx(`br`,{}),` This value is returned only if you have enabled the expiry feature for Payout Links. Know how to `,_jsx(_components.a,{href:`/x/payout-links/set-expiry`,children:`set expiry`}),` to Payout Links.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`response-parameters`,children:`Response Parameters`}),`\n`,_jsx(ResponseField,{name:`id`,type:`string`,id:`param-id-1`,children:_jsxs(_components.p,{children:[`The unique identifier of the Payout Link that is created. For example, `,_jsx(_components.code,{children:`poutlk_00000000000001`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`entity`,type:`string`,id:`param-entity`,children:_jsxs(_components.p,{children:[`The entity being created. Here it will be `,_jsx(_components.code,{children:`payout_link`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`contact`,type:`object`,id:`param-contact-1`,children:_jsx(_components.p,{children:`Details of the contact to whom the Payout Link is to be sent.`})}),`\n`,_jsx(ResponseField,{name:`name`,type:`string`,id:`param-name`,children:_jsxs(_components.p,{children:[`The contact’s name. For example, `,_jsx(_components.code,{children:`Gaurav Kumar`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`type`,type:`string`,id:`param-type`,children:_jsxs(_components.p,{children:[`Classification of the contact being created. For example, `,_jsx(_components.code,{children:`employee`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`contact`,type:`string`,id:`param-contact-2`,children:_jsxs(_components.p,{children:[`The contact’s phone number. For example, `,_jsx(_components.code,{children:`9000090000`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`email`,type:`string`,id:`param-email`,children:_jsxs(_components.p,{children:[`The contact’s email address. For example, `,_jsx(_components.code,{children:`gaurav.kumar@example.com`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`contact_id`,type:`string`,id:`param-contact-id`,children:_jsxs(_components.p,{children:[`The unique identifier of the contact to whom the Payout Link has to be sent. For example, `,_jsx(_components.code,{children:`cont_00000000000001`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`fund_account_id`,type:`string`,id:`param-fund-account-id`,children:_jsxs(_components.p,{children:[`The unique identifier of the contact’s fund account to which the payout will be made. For example, `,_jsx(_components.code,{children:`fa_00000000000001`}),`. `,_jsx(`br`,{}),` `,_jsx(`br`,{}),` Fund Account id is returned only when the Payout Link moves to the `,_jsxs(_components.a,{href:`/x/payout-links/life-cycle`,children:[_jsx(_components.code,{children:`processing`}),` state`]}),`.`]})}),`\n`,_jsx(ResponseField,{name:`payout_id`,type:`string`,id:`param-payout-id`,children:_jsxs(_components.p,{children:[`The unique identifier for the payout made to the contact. For example, `,_jsx(_components.code,{children:`pout_00000000000001`}),`. `,_jsx(`br`,{}),` `,_jsx(`br`,{}),` This value is returned only when the Payout Link moves to the `,_jsxs(_components.a,{href:`/x/payout-links/life-cycle`,children:[_jsx(_components.code,{children:`processed`}),` state`]}),`.`]})}),`\n`,_jsx(ResponseField,{name:`purpose`,type:`string`,id:`param-purpose-1`,children:_jsxs(_components.p,{children:[`The purpose of the payout. For example, `,_jsx(_components.code,{children:`refund`}),`, `,_jsx(_components.code,{children:`cashback`}),` or `,_jsx(_components.code,{children:`payout`}),`.`]})}),`\n`,_jsxs(ResponseField,{name:`status`,type:`string`,id:`param-status`,children:[_jsx(_components.p,{children:`The Payout Link status. Possible values:`}),_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`pending`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`issued`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`processing`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`processed`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`cancelled`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`rejected`})}),`\n`]}),_jsx(`br`,{}),_jsxs(_components.p,{children:[`Refer to the `,_jsx(_components.a,{href:`/x/payout-links/life-cycle`,children:`Payout Link Life Cycle section`}),` for more details.`]})]}),`\n`,_jsx(ResponseField,{name:`amount`,type:`integer`,id:`param-amount-1`,children:_jsxs(_components.p,{children:[`The amount, in paise, to be transferred from the business account to the contact’s fund account. `,_jsx(`br`,{}),` `,_jsx(`br`,{}),` The value passed here does not include fees and tax. Fees and tax, if any, are deducted from your account balance.`]})}),`\n`,_jsx(ResponseField,{name:`currency`,type:`string`,id:`param-currency-1`,children:_jsxs(_components.p,{children:[`The currency in which the payout is being made. Here, it is `,_jsx(_components.code,{children:`INR`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`description`,type:`string`,id:`param-description-1`,children:_jsxs(_components.p,{children:[`A user-entered description for the Payout Link. For example, `,_jsx(_components.code,{children:`Payout link for Gaurav Kumar`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`attempt_count`,type:`integer`,id:`param-attempt-count`,children:_jsx(_components.p,{children:`The number of attempts to complete the payout.`})}),`\n`,_jsx(ResponseField,{name:`receipt`,type:`string`,id:`param-receipt-1`,children:_jsxs(_components.p,{children:[`A user-entered receipt number for the payout. For example, `,_jsx(_components.code,{children:`Receipt No. 1`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`notes`,type:`object`,id:`param-notes-1`,children:_jsxs(_components.p,{children:[`User-entered notes for internal reference. This is a key-value pair. For example, `,_jsx(_components.code,{children:`\"note_key\": \"Beam me up Scotty”`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`short_url`,type:`string`,id:`param-short-url`,children:_jsx(_components.p,{children:`A short link for the Payout Link that was created. This is the link that is shared with the contact.`})}),`\n`,_jsxs(ResponseField,{name:`send_sms`,type:`boolean`,id:`param-send-sms-1`,children:[_jsx(_components.p,{children:`Possible values:`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`true`}),`: SMS sent to the provided contact number.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`false`}),`: SMS could not be sent to the provided contact number. This could be because the contact number provided was wrong.`]}),`\n`]})]}),`\n`,_jsxs(ResponseField,{name:`send_email`,type:`boolean`,id:`param-send-email-1`,children:[_jsx(_components.p,{children:`Possible values:`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`true`}),`: Email sent to the provided email address.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`false`}),`: Email could not be sent to the provided email address. This could be because the email address provided was wrong.`]}),`\n`]})]}),`\n`,_jsx(ResponseField,{name:`created_at`,type:`integer`,id:`param-created-at`,children:_jsx(_components.p,{children:`Timestamp, in Unix, when the Payout Link was created.`})}),`\n`,_jsx(ResponseField,{name:`cancelled_at`,type:`integer`,id:`param-cancelled-at`,children:_jsxs(_components.p,{children:[`Timestamp, in Unix, when the Payout Link was cancelled by you. This value is returned only when the Payout Link moves to the `,_jsx(_components.code,{children:`cancelled`}),` state.`]})}),`\n`,_jsx(ResponseField,{name:`expire_by`,type:`integer`,id:`param-expire-by-1`,children:_jsxs(_components.p,{children:[`Timestamp, in Unix, when the Payout Link was to expire. This is set at the time of creation of the Payout Link and is set at least 15 minutes ahead of the current time. `,_jsx(`br`,{}),` `,_jsx(`br`,{}),` This value is returned only if you have enabled the expiry feature for Payout Links. Know more about how to `,_jsx(_components.a,{href:`/x/payout-links/set-expiry`,children:`set expiry`}),` to Payout Links.`]})}),`\n`,_jsx(ResponseField,{name:`expired_at`,type:`integer`,id:`param-expired-at`,children:_jsx(_components.p,{children:`Timestamp, in Unix, when the Payout Link expired. This is set at the time of creation of the Payout Link.`})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create Payout Links Using Contact ID","description":"Create Payout Links via API using RazorpayX Contact id.","api":"POST /v1/payout-links","href":"/api/x/payout-links/create/use-contact-id"}}}},"mdxExtracts":{"tableOfContents":[{"title":"Request Parameters","slug":"request-parameters","depth":2,"children":[]},{"title":"Response Parameters","slug":"response-parameters","depth":2,"children":[]}],"codeExamples":{"request":{"type":"RequestExample","children":[{"filename":"Curl","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"shellscript\">\u003ccode language=\"shellscript\" numberOfLines=\"21\">\u003cspan class=\"line\">\u003cspan style=\"color:#953800;--shiki-dark:#DCDCAA\">curl\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> -u\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\"> \u0026#x3C;\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">YOUR_KE\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">Y\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">>\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">:\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">\u0026#x3C;\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">YOUR_SECRE\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">T\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">>\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">-X \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">POST\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> https://api.razorpay.com/v1/payout-links\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">-H \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Content-Type: application/json\"\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">-d \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"account_number\": \"7878780080857996\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"contact\": {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"id\": \"cont_00000000000001\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> }, // Only applicable when you have the bank account details of the recipient saved as a RazorpayX Contact. \u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"amount\": 1000,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"currency\": \"INR\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"purpose\": \"refund\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"description\": \"Payout link for Gaurav Kumar\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"receipt\": \"Receipt No. 1\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"send_sms\": true,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"send_email\": true,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"notes\": {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"notes_key_1\":\"Tea, Earl Grey, Hot\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"notes_key_2\":\"Tea, Earl Grey… decaf.\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"expire_by\": 1545384058\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> // This parameter can be used only if you have enabled the expiry feature for Payout Links.\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">}'\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]},"response":{"type":"ResponseExample","children":[{"filename":"Success","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"29\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"poutlk_00000000000001\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"entity\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"payout_link\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"contact\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Gaurav Kumar\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"email\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"gaurav.kumar@example.com\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"contact\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"912345678\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"purpose\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"refund\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"status\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"issued\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"amount\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1000\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"currency\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"INR\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"description\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Payout link for Gaurav Kumar\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"short_url\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"https://rzp.io/i/3b1Tw6\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"created_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1545383037\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"contact_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"cont_00000000000001\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"send_sms\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">true\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"send_email\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">true\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"fund_account_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">null\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"cancelled_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">null\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"attempt_count\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">0\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"receipt\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Receipt No. 1\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"notes\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"notes_key_1\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Tea, Earl Grey, Hot\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"notes_key_2\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Tea, Earl Grey… decaf.\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"expire_by\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1545384058\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"expired_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1545384658\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"Create Payout Links Using Contact ID","path":"/v1/payout-links","servers":[{"url":"https://api.razorpay.com"}],"method":"post","request":{"security":[{"title":"Basic Auth","parameters":{"header":{"Authorization":{"type":"http","scheme":"basic","description":"Basic authentication header of the form `Basic \u003cencoded-value>`, where `\u003cencoded-value>` is the base64-encoded string `username:password`."}},"query":{},"cookie":{}}}],"parameters":{"query":{},"header":{},"cookie":{},"path":{}},"body":{"application/json":{"schemaArray":[{"type":"object","properties":{"account_number":[{"type":"string","description":"The account from which you want to make the payout. Account details can be found on the RazorpayX Dashboard . For example, `7878780080316316` . Pass your customer identifier if you want money to be deducted from RazorpayX Lite. Pass your current account number if you want money to be deducted from your current account.","required":true}],"contact":[{"type":"object","properties":{},"description":"Details of the contact to whom the Payout Link is to be sent.","required":true}],"id":[{"type":"string","description":"The unique identifer for the contact. For example, `cont_00000000000001` . If you are using this, do not use the other parameters in the array.","required":true}],"amount":[{"type":"integer","description":"The amount, in paise, to be transferred from the business account to the contact’s fund account. For example, pass `1000000` to transfer an amount of ₹10,000. The minimum value that can be passed is `100` . The value passed here does not include fees and tax. Fees and tax, if any, are deducted from your account balance.","required":true}],"currency":[{"type":"string","description":"The currency in which the payout is being made. Here, it is `INR` .","required":true}],"purpose":[{"type":"string","description":"The purpose of the payout that is being created via the Payout Link. For example, `refund` . Classifications available by default: `refund` `cashback` `payout` `salary` `utility bill` `vendor bill` Additional purposes for payouts can be created via the Dashboard and then used in the API. You cannot create new payout purposes via the API.","required":true}],"description":[{"type":"string","description":"Add a description to communicate the context of the Payout Link to the recipient. For example, `Cashback for Mr. Gaurav Kumar on the purchase on Earl Grey Tea` .","required":true}],"receipt":[{"type":"string","description":"A user-entered receipt number for the payout. For example, `Receipt No. 1` ."}],"send_sms":[{"type":"boolean","description":"Possible values: `true` : Razorpay sends the Payout Link to the provided contact number via SMS. `false` (default): You send the Payout Link to the contact via SMS."}],"send_email":[{"type":"boolean","description":"Possible values: `true` : Razorpay sends the Payout Link to the provided email address via email. `false` (default): You send the Payout Link to the contact via email."}],"notes":[{"type":"object","properties":{},"description":"User-entered notes for internal reference. This is a key-value pair. You can enter a maximum of 15 key-value pairs. For example, `\"note_key\": \"Beam me up Scotty”` ."}],"expire_by":[{"type":"integer","description":"Timestamp, in Unix, when the Payout Link was to expire. This is set at the time of creation of the Payout Link and is set at least 15 minutes ahead of the current time. This value is returned only if you have enabled the expiry feature for Payout Links. Know how to set expiry to Payout Links."}]}}],"examples":{"example":{"value":{"account_number":"\u003cstring>","contact":{},"id":"\u003cstring>","amount":123,"currency":"\u003cstring>","purpose":"\u003cstring>","description":"\u003cstring>","receipt":"\u003cstring>","send_sms":true,"send_email":true,"notes":{},"expire_by":123}}}}}},"response":{"200":{"application/json":{"schemaArray":[{"type":"object","properties":{"id":[{"type":"string","description":"The unique identifier of the Payout Link that is created. For example, `poutlk_00000000000001` ."}],"entity":[{"type":"string","description":"The entity being created. Here it will be `payout_link` ."}],"contact":[{"type":"string","description":"The contact’s phone number. For example, `9000090000` ."}],"name":[{"type":"string","description":"The contact’s name. For example, `Gaurav Kumar` ."}],"type":[{"type":"string","description":"Classification of the contact being created. For example, `employee` ."}],"email":[{"type":"string","description":"The contact’s email address. For example, `gaurav.kumar@example.com` ."}],"contact_id":[{"type":"string","description":"The unique identifier of the contact to whom the Payout Link has to be sent. For example, `cont_00000000000001` ."}],"fund_account_id":[{"type":"string","description":"The unique identifier of the contact’s fund account to which the payout will be made. For example, `fa_00000000000001` . Fund Account id is returned only when the Payout Link moves to the `processing` state ."}],"payout_id":[{"type":"string","description":"The unique identifier for the payout made to the contact. For example, `pout_00000000000001` . This value is returned only when the Payout Link moves to the `processed` state ."}],"purpose":[{"type":"string","description":"The purpose of the payout. For example, `refund` , `cashback` or `payout` ."}],"status":[{"type":"string","description":"The Payout Link status. Possible values: `pending` `issued` `processing` `processed` `cancelled` `rejected` Refer to the Payout Link Life Cycle section for more details."}],"amount":[{"type":"integer","description":"The amount, in paise, to be transferred from the business account to the contact’s fund account. The value passed here does not include fees and tax. Fees and tax, if any, are deducted from your account balance."}],"currency":[{"type":"string","description":"The currency in which the payout is being made. Here, it is `INR` ."}],"description":[{"type":"string","description":"A user-entered description for the Payout Link. For example, `Payout link for Gaurav Kumar` ."}],"attempt_count":[{"type":"integer","description":"The number of attempts to complete the payout."}],"receipt":[{"type":"string","description":"A user-entered receipt number for the payout. For example, `Receipt No. 1` ."}],"notes":[{"type":"object","properties":{},"description":"User-entered notes for internal reference. This is a key-value pair. For example, `\"note_key\": \"Beam me up Scotty”` ."}],"short_url":[{"type":"string","description":"A short link for the Payout Link that was created. This is the link that is shared with the contact."}],"send_sms":[{"type":"boolean","description":"Possible values: `true` : SMS sent to the provided contact number. `false` : SMS could not be sent to the provided contact number. This could be because the contact number provided was wrong."}],"send_email":[{"type":"boolean","description":"Possible values: `true` : Email sent to the provided email address. `false` : Email could not be sent to the provided email address. This could be because the email address provided was wrong."}],"created_at":[{"type":"integer","description":"Timestamp, in Unix, when the Payout Link was created."}],"cancelled_at":[{"type":"integer","description":"Timestamp, in Unix, when the Payout Link was cancelled by you. This value is returned only when the Payout Link moves to the `cancelled` state."}],"expire_by":[{"type":"integer","description":"Timestamp, in Unix, when the Payout Link was to expire. This is set at the time of creation of the Payout Link and is set at least 15 minutes ahead of the current time. This value is returned only if you have enabled the expiry feature for Payout Links. Know more about how to set expiry to Payout Links."}],"expired_at":[{"type":"integer","description":"Timestamp, in Unix, when the Payout Link expired. This is set at the time of creation of the Payout Link."}]}}],"examples":{"example":{"value":{"id":"\u003cstring>","entity":"\u003cstring>","contact":"\u003cstring>","name":"\u003cstring>","type":"\u003cstring>","email":"\u003cstring>","contact_id":"\u003cstring>","fund_account_id":"\u003cstring>","payout_id":"\u003cstring>","purpose":"\u003cstring>","status":"\u003cstring>","amount":123,"currency":"\u003cstring>","description":"\u003cstring>","attempt_count":123,"receipt":"\u003cstring>","notes":{},"short_url":"\u003cstring>","send_sms":true,"send_email":true,"created_at":123,"cancelled_at":123,"expire_by":123,"expired_at":123}}}}}},"deprecated":false}},"jsLinks":["/docs/_mintlify/custom/razorpay-881012b3/0d344dfa342029c2/country-switcher.js","/docs/_mintlify/custom/razorpay-881012b3/d04f2910efb9afc8/static/docs-home/script.js","/docs/_mintlify/custom/razorpay-881012b3/79016038e50e3e6a/ga4.js","/docs/_mintlify/custom/razorpay-881012b3/0ccbc66d726b02ea/static/nav-more.js","/docs/_mintlify/custom/razorpay-881012b3/a849ad0bd40c8fc9/hreflang.js"],"subdomain":"razorpay-881012b3","siteName":"Razorpay","title":"Create Payout Links Using Contact ID - Razorpay","navMaps":{"firstHrefInVersion":{"India":{"href":"/api/x/payout-links/create/use-contact-id","matchLevel":0},"Singapore":{"href":"/sg/home","matchLevel":4},"United States":{"href":"/us/api/x/payout-links/create/use-contact-id","matchLevel":1},"Malaysia":{"href":"/my/api/x/payout-links/create/use-contact-id","matchLevel":1,"hidden":true}},"firstHrefInLanguage":{}},"lastModified":"2026-10-08T16:37:53.870Z","gitLastModified":"2026-10-08T16:35:44.000Z","originalFileLocation":"api/x/payout-links/create/use-contact-id.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove
[...]
